Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.events
Interface UIEvent

All Superinterfaces:
  Event

All Known Subinterfaces:
  KeyboardEvent, MouseEvent, TextEvent

All Known Implementing Classes:
  DOMKeyboardEvent, DOMKeyEvent, DOMMouseEvent, DOMTextEvent, DOMUIEvent, SVGOMWheelEvent

    public interface UIEvent

extends Event

The `UIEvent` interface provides specific contextual information associated with User Interface events.

To create an instance of the `UIEvent` interface, use the `DocumentEvent.createEvent("UIEvent")` method call.

See also the Document Object Model (DOM) Level 3 Events Specification .

Since:
  DOM Level 2

Field Summary

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Method Summary
`int` | `getDetail()` Specifies some detail information about the `Event`, depending on the type of event.
`AbstractView` | `getView()` The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initUIEvent(String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)` The `initUIEvent` method is used to initialize the value of a `UIEvent` object and has the same behavior as `Event.initEvent()`.
`void` | `initUIEventNS(String namespaceURI, String typeArg, boolean canBubbleArg, boolean cancelableArg, AbstractView viewArg, int detailArg)` The `initUIEventNS` method is used to initialize the value of a `UIEvent` object and has the same behavior as `Event.initEventNS()`.

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getDefaultPrevented, getEventPhase, getNamespaceURI, getTarget, getTimeStamp, getType, initEvent, initEventNS, preventDefault, stopImmediatePropagation, stopPropagation`

Method Detail

### getView

    AbstractView getView()

  The `view` attribute identifies the `AbstractView` from which the event was generated.

### getDetail

    int getDetail()

  Specifies some detail information about the `Event`, depending on the type of event.

### initUIEvent

    void initUIEvent(String typeArg,
                     boolean canBubbleArg,
                     boolean cancelableArg,
                     AbstractView viewArg,
                     int detailArg)

  The `initUIEvent` method is used to initialize the value of a `UIEvent` object and has the same behavior as `Event.initEvent()`.

  Parameters:
    `typeArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEvent()` method for a description of this parameter.
    `viewArg` - Specifies `UIEvent.view`. This value may be `null`.
    `detailArg` - Specifies `UIEvent.detail`.

### initUIEventNS

    void initUIEventNS(String namespaceURI,
                       String typeArg,
                       boolean canBubbleArg,
                       boolean cancelableArg,
                       AbstractView viewArg,
                       int detailArg)

  The `initUIEventNS` method is used to initialize the value of a `UIEvent` object and has the same behavior as `Event.initEventNS()`.

  Parameters:
    `namespaceURI` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `typeArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `canBubbleArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `cancelableArg` - Refer to the `Event.initEventNS()` method for a description of this parameter.
    `viewArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
    `detailArg` - Refer to the `UIEvent.initUIEvent()` method for a description of this parameter.
  Since:
    DOM Level 3

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.